com.mockobjects.jms

## Class MockMessage

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessage

- All Implemented Interfaces:
    Verifiable
  Direct Known Subclasses:
    MockMapMessage, MockObjectMessage, MockTextMessage

      public abstract class MockMessage
      extends MockObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acknowledge()`
    `void` | `clearBody()`
    `void` | `clearProperties()`
    `boolean` | `getBooleanProperty(java.lang.String name)`
    `byte` | `getByteProperty(java.lang.String name)`
    `double` | `getDoubleProperty(java.lang.String name)`
    `float` | `getFloatProperty(java.lang.String name)`
    `int` | `getIntProperty(java.lang.String name)`
    `java.lang.String` | `getJMSCorrelationID()`
    `byte[]` | `getJMSCorrelationIDAsBytes()`
    `int` | `getJMSDeliveryMode()`
    `Destination` | `getJMSDestination()`
    `long` | `getJMSExpiration()`
    `java.lang.String` | `getJMSMessageID()`
    `int` | `getJMSPriority()`
    `boolean` | `getJMSRedelivered()`
    `Destination` | `getJMSReplyTo()`
    `long` | `getJMSTimestamp()`
    `java.lang.String` | `getJMSType()`
    `long` | `getLongProperty(java.lang.String name)`
    `java.lang.Object` | `getObjectProperty(java.lang.String name)`
    `java.util.Enumeration` | `getPropertyNames()`
    `short` | `getShortProperty(java.lang.String name)`
    `java.lang.String` | `getStringProperty(java.lang.String name)`
    `boolean` | `propertyExists(java.lang.String name)`
    `void` | `setBooleanProperty(java.lang.String name, boolean value)`
    `void` | `setByteProperty(java.lang.String name, byte value)`
    `void` | `setDoubleProperty(java.lang.String name, double value)`
    `void` | `setExpectedAcknowledgeCalls(int calls)`
    `void` | `setExpectedJMSReplyTo(Destination expectedJMSReplyTo)`
    `void` | `setExpectedSetJMSCorrelationIDCalls(int callCount)`
    `void` | `setFloatProperty(java.lang.String name, float value)`
    `void` | `setIntProperty(java.lang.String name, int value)`
    `void` | `setJMSCorrelationID(java.lang.String jmsCorrelationID)`
    `void` | `setJMSCorrelationIDAsBytes(byte[] correlationID)`
    `void` | `setJMSDeliveryMode(int deliveryMode)`
    `void` | `setJMSDestination(Destination destination)`
    `void` | `setJMSExpiration(long expiration)`
    `void` | `setJMSMessageID(java.lang.String id)`
    `void` | `setJMSPriority(int priority)`
    `void` | `setJMSRedelivered(boolean redelivered)`
    `void` | `setJMSReplyTo(Destination replyTo)`
    `void` | `setJMSTimestamp(long timestamp)`
    `void` | `setJMSType(java.lang.String type)`
    `void` | `setLongProperty(java.lang.String name, long value)`
    `void` | `setObjectProperty(java.lang.String name, java.lang.Object value)`
    `void` | `setShortProperty(java.lang.String name, short value)`
    `void` | `setStringProperty(java.lang.String name, java.lang.String value)`
    `void` | `setupJMSMessageID(java.lang.String jmsMessageID)`
    `void` | `setupThrowException(JMSException e)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockMessage

          public MockMessage()

  - ### Method Detail

    - #### acknowledge

          public void acknowledge()
                           throws JMSException

      Throws:
        `JMSException`

    - #### setExpectedAcknowledgeCalls

          public void setExpectedAcknowledgeCalls(int calls)

    - #### clearBody

          public void clearBody()

    - #### clearProperties

          public void clearProperties()

    - #### getBooleanProperty

          public boolean getBooleanProperty(java.lang.String name)

    - #### getByteProperty

          public byte getByteProperty(java.lang.String name)

    - #### getDoubleProperty

          public double getDoubleProperty(java.lang.String name)

    - #### getFloatProperty

          public float getFloatProperty(java.lang.String name)

    - #### getIntProperty

          public int getIntProperty(java.lang.String name)

    - #### getJMSCorrelationID

          public java.lang.String getJMSCorrelationID()

    - #### getJMSCorrelationIDAsBytes

          public byte[] getJMSCorrelationIDAsBytes()

    - #### getJMSDeliveryMode

          public int getJMSDeliveryMode()

    - #### getJMSDestination

          public Destination getJMSDestination()

    - #### getJMSExpiration

          public long getJMSExpiration()

    - #### getJMSMessageID

          public java.lang.String getJMSMessageID()

    - #### getJMSPriority

          public int getJMSPriority()

    - #### getJMSRedelivered

          public boolean getJMSRedelivered()

    - #### getJMSReplyTo

          public Destination getJMSReplyTo()

    - #### getJMSTimestamp

          public long getJMSTimestamp()

    - #### getJMSType

          public java.lang.String getJMSType()

    - #### getLongProperty

          public long getLongProperty(java.lang.String name)

    - #### getObjectProperty

          public java.lang.Object getObjectProperty(java.lang.String name)

    - #### getPropertyNames

          public java.util.Enumeration getPropertyNames()

    - #### getShortProperty

          public short getShortProperty(java.lang.String name)

    - #### getStringProperty

          public java.lang.String getStringProperty(java.lang.String name)

    - #### propertyExists

          public boolean propertyExists(java.lang.String name)

    - #### setBooleanProperty

          public void setBooleanProperty(java.lang.String name,
                                         boolean value)

    - #### setByteProperty

          public void setByteProperty(java.lang.String name,
                                      byte value)

    - #### setDoubleProperty

          public void setDoubleProperty(java.lang.String name,
                                        double value)

    - #### setFloatProperty

          public void setFloatProperty(java.lang.String name,
                                       float value)

    - #### setIntProperty

          public void setIntProperty(java.lang.String name,
                                     int value)

    - #### setJMSCorrelationID

          public void setJMSCorrelationID(java.lang.String jmsCorrelationID)

    - #### setJMSCorrelationIDAsBytes

          public void setJMSCorrelationIDAsBytes(byte[] correlationID)

    - #### setJMSDeliveryMode

          public void setJMSDeliveryMode(int deliveryMode)

    - #### setJMSDestination

          public void setJMSDestination(Destination destination)

    - #### setJMSExpiration

          public void setJMSExpiration(long expiration)

    - #### setJMSMessageID

          public void setJMSMessageID(java.lang.String id)

    - #### setJMSPriority

          public void setJMSPriority(int priority)

    - #### setJMSRedelivered

          public void setJMSRedelivered(boolean redelivered)

    - #### setJMSReplyTo

          public void setJMSReplyTo(Destination replyTo)
                             throws JMSException

      Throws:
        `JMSException`

    - #### setJMSTimestamp

          public void setJMSTimestamp(long timestamp)

    - #### setJMSType

          public void setJMSType(java.lang.String type)

    - #### setLongProperty

          public void setLongProperty(java.lang.String name,
                                      long value)

    - #### setObjectProperty

          public void setObjectProperty(java.lang.String name,
                                        java.lang.Object value)

    - #### setShortProperty

          public void setShortProperty(java.lang.String name,
                                       short value)

    - #### setStringProperty

          public void setStringProperty(java.lang.String name,
                                        java.lang.String value)

    - #### setExpectedJMSReplyTo

          public void setExpectedJMSReplyTo(Destination expectedJMSReplyTo)

    - #### setExpectedSetJMSCorrelationIDCalls

          public void setExpectedSetJMSCorrelationIDCalls(int callCount)

    - #### setupJMSMessageID

          public void setupJMSMessageID(java.lang.String jmsMessageID)

    - #### setupThrowException

          public void setupThrowException(JMSException e)

Copyright © 2002 Mock Objects. All Rights Reserved.